Subject: [xrblock] Comments on draft-ietf-xrblock-rtcp-xr-synchronization-00

From: "Claire Bi(jiayu)" <[email-masked]>
Date: Thu, 18 Oct 2012 09:19:55 +0800 (CST)

Hi,

I was asked to review draft-ietf-xrblock-rtcp-xr-synchronization-00 and have the following several comments.

1. Section 2.1, Synchronization Offset

Is Synchronization Offset a absolute value or relative value? Is Synchronizztion Offset delay variance or Delay Variation?

2. Section 3, last Paragraph said:

"

For example,

one audio stream and one video stream belong to the same session and

audio stream are transmitted lag behind video stream for multiple

tens of milliseconds.  The RTP Flows Synchronization Offset block can

be used to report such synchronization offset between video stream

and audio stream

"

Would you like to provide a reference to this example?

3. Section 4.2

s/Statistics Summary Report Block/RTP Flows Initial Synchronization Delay Report Block

4. Section4.2 Definition of Initial Synchronization Delay

It is not clear how to use in-band mapping of RTP and NTP-format timestamps to calculate

the intial Synchronization Delay, it is better to add text to clarify this.

Claire

---

From: Qin Wu <[email-masked]>
Date: Thu, 18 Oct 2012 10:47:46 +0800

Hi,Claire:
Thank for your reivew to draft-ietf-xrblock-rtcp-xr-synchronization-00.
Below is my reply inline.

Regards!
-Qin
  ----- Original Message ----- 
  From: Claire Bi(jiayu) 
  To: xrblock 
  Sent: Thursday, October 18, 2012 9:19 AM
  Subject: [xrblock] Comments on draft-ietf-xrblock-rtcp-xr-synchronization-00

  Hi, 

[Qin]: Our intention is to define Synchronization Offset as relative value. Synchronization offset is actually the time difference between two media streams
that need to be synchronized. So I like to propose the following change to the defintion of Synchronization Offset in the terminology section.
OLD TEXT:
"
   Synchronization Offset:

      The absolute delay variance of the measured RTP stream relative to
      the reference RTP stream in the multimedia session.

"
NEW TEXT:
"
   Synchronization Offset:

      Synchronization between two media streams must be maintained to
     ensure satisfactory QoE. Two media streams can be of the same
    media type belonging to one RTP session or in different media types 
   belonging to one multimedia session. The Synchronization Offset is the
   relative time difference of the two media streams that need to be synchronized.
"

[Qin]: On relevant reference in my mind is BBF Forum document TR-126.
I will put it into the next version.
   
  3. Section 4.2 

[Qin]: Good catch, thanks.

[Qin]: Okay, I propose the following change to the definition of Initial Synchronization Delay.
OLD TEXT:
"
   Initial Synchronization Delay: 32 bits

      The average delay, expressed in units of 1/65536 seconds, from the
      RTCP packets received on all of the components RTP sessions to the
      beginning of session [RFC6051].  The value is calculated based on
      the information contained in RTCP SR packets or the in-band
      mapping of RTP and NTP-format timestamps [RFC6051].  If there is
      no packet loss, the initial synchronization delay is expected to
      be equal to the average time taken to receive the first RTCP
      packet in the RTP session with the longest RTCP reporting
      interval.

"
NEW TEXT:
"
      The average delay, expressed in units of 1/65536 seconds, from the

      RTCP packets received on all of the components RTP sessions to the

      beginning of session [RFC6051].  The value is calculated based on

      received  RTCP SR packets or the RTP header extension containing in-band

      mapping of RTP and NTP-format timestamps [RFC6051].  If there is

      no packet loss, the initial synchronization delay is expected to

      be equal to the average time taken to receive the first RTCP

      packet in the RTP session with the longest RTCP reporting

      interval or the average time taken to receive the first RTP header 

      extension containing in-band mapping of RTP and NTP-format timestamps.

"
   
  Claire 

------------------------------------------------------------------------------

  _______________________________________________
  xrblock mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/xrblock